package images;
import javax.swing.JInternalFrame;
import java.awt.BorderLayout;   
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
import java.awt.Dimension;


public class ImageViewerFrame extends JInternalFrame 
{
  private JScrollPane jScrollPane1 = new JScrollPane();
  private JLabel imageLabel = new JLabel();

  private String nomImage;

  public ImageViewerFrame(String nomImage)
  {
    this.nomImage = nomImage;
    try
    {
       jbInit();

       jScrollPane1.setViewportView(imageLabel);
       this.setTitle(nomImage);
       imageLabel.setIcon(new ImageIcon(nomImage));
    }
    catch(Exception e)
    {
       e.printStackTrace();
    }

  }

  public ImageViewerFrame(String nomImage, byte[] byteArray)
  {
    this.nomImage = nomImage;
    try
    {
      jbInit();
      jScrollPane1.setViewportView(imageLabel);
      this.setTitle(nomImage);
      imageLabel.setIcon(new ImageIcon(byteArray));
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
 
  }

  private void jbInit() throws Exception
  {
    this.setIconifiable(true);
    this.setClosable(true);
    this.setResizable(true);
    this.setMaximizable(true);
    this.getContentPane().add(jScrollPane1, BorderLayout.CENTER);
  }

}
